<resources xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <style name="Theme.KMSOnline" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/blue_700</item>
        <item name="colorPrimaryVariant">@color/blue_700</item>
        <item name="colorOnPrimary">@color/white</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/teal_200</item>
        <item name="colorSecondaryVariant">@color/teal_700</item>
        <item name="colorOnSecondary">@color/black</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
    </style>

    <style name="Theme.KMSOnline.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

      <style name="Theme.KMSOnline.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="Theme.KMSOnline.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />

    <style name="Toolbar.TitleText" parent="TextAppearance.Widget.AppCompat.Toolbar.Title">
        <item name="android:textSize">20sp</item>
    </style>

    <style name="TitleToolbar">
        <item name="android:fontFamily">@font/poppins_regular</item>
    </style>

    <style name="TextAppearance.MyApp.Bold" parent="TextAppearance.MaterialComponents.Headline1">
        <item name="fontFamily">@font/poppins_bold</item>
    </style>

    <style name="TextAppearance.MyApp.Light" parent="TextAppearance.MaterialComponents.Body1">
        <item name="fontFamily">@font/poppins_light</item>
    </style>

    <style name="TextAppearance.MyApp.Regular" parent="TextAppearance.MaterialComponents.Body2">
        <item name="fontFamily">@font/poppins_regular</item>
    </style>

    <style name="Widget.MyApp.Button" parent="Widget.MaterialComponents.Button">
        <item name="cornerRadius">@dimen/_10sdp</item>
        <item name="android:paddingTop">@dimen/_10sdp</item>
        <item name="android:paddingBottom">@dimen/_10sdp</item>
    </style>

    <style name="Widget.MyApp.Button.Small" parent="Widget.MaterialComponents.Button">
        <item name="android:textColor">@color/white</item>
        <item name="cornerRadius">@dimen/_10sdp</item>
    </style>

    <style name="Widget.MyApp.ButtonRounded" parent="Widget.MaterialComponents.Button">
        <item name="android:textColor">@color/white</item>
        <item name="android:textAllCaps">true</item>
        <item name="cornerRadius">@dimen/_16sdp</item>
        <item name="android:paddingTop">@dimen/_8sdp</item>
        <item name="android:paddingBottom">@dimen/_8sdp</item>
    </style>

    <style name="Widget.MyApp.ButtonSmall" parent="Widget.MaterialComponents.Button">
        <item name="android:textColor">@color/white</item>
        <item name="android:textAllCaps">false</item>
        <item name="cornerRadius">@dimen/_10sdp</item>
    </style>

    <style name="My.TextInputLayout.FilledBox.Padding" parent="Widget.MaterialComponents.TextInputLayout.FilledBox">
        <item name="materialThemeOverlay">@style/MyThemeOverlayFilledPadding</item>
    </style>

    <style name="MyThemeOverlayFilledPadding">
        <item name="editTextStyle">@style/MyTextInputEditText_filledBox_padding</item>
    </style>

    <style name="MyTextInputEditText_filledBox_padding" parent="@style/Widget.MaterialComponents.TextInputEditText.FilledBox">
        <!-- left and right padding -->
        <item name="android:paddingStart">2dp</item>
        <item name="android:paddingEnd">2dp</item>
        <!-- top and bottom padding -->
        <item name="android:paddingTop">32dp</item>
        <item name="android:paddingBottom">4dp</item>
    </style>

</resources>